New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Voices

List saved voices

GET
/api/v1/voices

Return all saved voices, optionally filtered by type (clone or design).

Query Parameters

voice_type?|

Filter by voice type: 'clone' or 'design'

Response Body

Successful Response

application/json
  1. response
voices*array<>

List of saved voices

Example Request
curl -X GET 'http://127.0.0.1:8100/api/v1/voices'
Example Response
{  "voices": [    {      "id": "a1b2c3d4",      "name": "My Custom Voice",      "transcript": "Hello, this is a sample of my voice.",      "ref_text": "string",      "voice_type": "clone",      "created_at": "2026-01-15T10:30:00Z",      "duration_seconds": 8.5,      "has_voice_clone_prompt": false,      "word_timestamps": [        {}      ],      "transcript_manual": true,      "created_with_model": "string",      "starter_key": "string",      "source": {        "task_id": "string",        "start": 0,        "end": 1      }    }  ]}